Schedule Mobility Groups Migrations

Schedule Mobility Groups Migrations
Create/Update/Delete schedule for a mobility group/migration/s

Create/Update/Delete schedule for a mobility group/migration/s

Request
URI
POST
https://{server}/hybridity/api/mobility/groups/{mobilityGroupId}/schedule
COPY
Path Parameters
string
mobilityGroupId
Required

mobilityGroupId

Query Parameters
string
action
Optional

action


Request Body

MobilityGroup/Migration Schedule object

mobilityGroupScheduleRequest of type(s) application/json
Required
{
    "mobilityGroupDefaults": {
        "transfer": {
            "startTime": 0,
            "expiryTime": 0,
            "isInheritedFromGroupDefaults": false
        },
        "switchover": {
            "startTime": 0,
            "expiryTime": 0,
            "clearSchedule": false,
            "isInheritedFromGroupDefaults": false
        }
    },
    "migrations": [
        {
            "migrationId": "string",
            "schedule": {
                "transfer": {
                    "startTime": 0,
                    "expiryTime": 0,
                    "isInheritedFromGroupDefaults": false
                },
                "switchover": {
                    "startTime": 0,
                    "expiryTime": 0,
                    "clearSchedule": false,
                    "isInheritedFromGroupDefaults": false
                }
            }
        }
    ]
}
object
mobilityGroupDefaults
Optional

mobilityGroupDefaults

array of object
migrations
Optional

migrations

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns mobilityGroupsScheduleResponse of type(s) application/json
{
    "affectedTransferScheduleCount": 0,
    "affectedSwitchoverScheduleCount": 0,
    "errors": {
        "migrations": [
            {
                "id": "string",
                "errors": [
                    {
                        "code": "string",
                        "message": "string"
                    }
                ]
            }
        ],
        "mobilityGroupDefaults": {
            "id": "string",
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ]
        }
    }
}
integer
affectedTransferScheduleCount
Optional

Count of affected transfer schedules that are not overridden at line item level

integer
affectedSwitchoverScheduleCount
Optional

Count of affected switchover schedules that are not overridden at line item level

object
errors
Optional

errors


400

Bad Request

Operation doesn't return any data structure

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/mobility/groups/{mobilityGroupId}/schedule